## com.baidubce.services.moladb.model
Class GetTableResponse

    java.lang.Object
      com.baidubce.model.AbstractBceResponse
          com.baidubce.services.moladb.model.GetTableResponse

    public class GetTableResponse

extends AbstractBceResponse

Represents the output of a GetTable operation.

Field Summary

Fields inherited from class com.baidubce.model.AbstractBceResponse
`metadata`

Constructor Summary
`GetTableResponse()` Constructs a new GetTableResponse object.

Method Summary
`List<AttributeDefinition>` `getAttributeDefinitions()` Get all of the attributes for this table.
`Date` `getCreationDateTime()` Get the table creation time.
`Long` `getItemCount()` Get the number of Items in this table.
`List<KeySchemaElement>` `getKeySchema()` Get Key information for this table.
`ProvisionedThroughputDescription` `getProvisionedThroughput()` Get the provisioned throughput setting for this table from server side.
`String` `getTableName()` Get the name of the requested table.
`Long` `getTableSizeInBytes()` Get the size of this table.
`String` `getTableStatus()` Get the status of the requested table.
`void` `setAttributeDefinitions(List<AttributeDefinition> attributeDefinitions)` Set all of the attributes for this table.
`void` `setCreationDateTime(Date time)` Set the table creation time.
`void` `setItemCount(Long count)` Set the number of Items in this table.
`void` `setKeySchema(List<KeySchemaElement> schema)` Set Key information for this table.
`void` `setProvisionedThroughput(ProvisionedThroughputDescription other)` Set the provisioned throughput setting for this table from server side.
`void` `setTableName(String name)` Set the name of the requested table.
`void` `setTableSizeInBytes(Long size)` Set the size of this table.
`void` `setTableStatus(String status)` Set the status of the requested table.
`String` `toString()` Return a string representation of get table response information.

Methods inherited from class com.baidubce.model.AbstractBceResponse
`getMetadata`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### GetTableResponse

    public GetTableResponse()

  Constructs a new GetTableResponse object. Callers should use the setter or fluent setter (with...) methods to initialize any additional object members.

Method Detail

### getAttributeDefinitions

    public List<AttributeDefinition> getAttributeDefinitions()

  Get all of the attributes for this table.

  Returns:
    All of the attributes for this table, the type is in AttributesDefinition type.
  See Also:
    `AttributeDefinition`

### setAttributeDefinitions

    public void setAttributeDefinitions(List<AttributeDefinition> attributeDefinitions)

  Set all of the attributes for this table.

  Parameters:
    `attributeDefinitions` - All of the attributes for this table, the type is in AttributesDefinition type.
  See Also:
    `AttributeDefinition`

### getProvisionedThroughput

    public ProvisionedThroughputDescription getProvisionedThroughput()

  Get the provisioned throughput setting for this table from server side.

  Returns:
    The provisioned throughput setting for this table from server side.

### setProvisionedThroughput

    public void setProvisionedThroughput(ProvisionedThroughputDescription other)

  Set the provisioned throughput setting for this table from server side.

  Parameters:
    `other` - The provisioned throughput setting for this table from server side.

### getTableName

    public String getTableName()

  Get the name of the requested table.

  Returns:
    The name of the requested table.

### setTableName

    public void setTableName(String name)

  Set the name of the requested table.

  Parameters:
    `name` - The name of the requested table.

### setTableStatus

    public void setTableStatus(String status)

  Set the status of the requested table.

  Parameters:
    `status` - The status of the requested table.

### getTableStatus

    public String getTableStatus()

  Get the status of the requested table.

  Returns:
    The status of the requested table.

### getTableSizeInBytes

    public Long getTableSizeInBytes()

  Get the size of this table.

  Returns:
    The size of this table, the unit is Byte.

### getKeySchema

    public List<KeySchemaElement> getKeySchema()

  Get Key information for this table.

  Returns:
    Key schema for this table.
  See Also:
    `KeySchemaElement`

### setKeySchema

    public void setKeySchema(List<KeySchemaElement> schema)

  Set Key information for this table.

  Parameters:
    `schema` - Key schema for this table.
  See Also:
    `KeySchemaElement`

### getItemCount

    public Long getItemCount()

  Get the number of Items in this table.

  Returns:
    The number of Items in this table, the value is in long type.

### setItemCount

    public void setItemCount(Long count)

  Set the number of Items in this table.

  Parameters:
    `count` - The number of Items in this table, the value is in long type.

### getCreationDateTime

    public Date getCreationDateTime()

  Get the table creation time.

  Returns:
    The table creation time, the type is in Data type.

### setCreationDateTime

    public void setCreationDateTime(Date time)

  Set the table creation time.

  Parameters:
    `time` - The table creation time

### setTableSizeInBytes

    public void setTableSizeInBytes(Long size)

  Set the size of this table.

  Parameters:
    `size` - The size of this table, the number type is in long type, and the unit for it is Byte.

### toString

    public String toString()

  Return a string representation of get table response information.

  Overrides:
    `toString` in class `Object`
  Returns:
    A string representation of get table response information.

Copyright © 2016. All rights reserved.